OpenShot Audio Library | OpenShotAudio: juce::dsp::NoiseGate< SampleType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::NoiseGate< SampleType > Class Template Reference

`#include <juce_NoiseGate.h>`

## Public Member Functions
| NoiseGate ()
void | setThreshold (SampleType newThreshold)
void | setRatio (SampleType newRatio)
void | setAttack (SampleType newAttack)
void | setRelease (SampleType newRelease)
void | prepare (const ProcessSpec &spec)
void | reset ()
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept
SampleType | processSample (int channel, SampleType inputValue)

## Detailed Description

template<typename SampleType>
class juce::dsp::NoiseGate< SampleType >

A simple noise gate with standard threshold, ratio, attack time and release time controls. Can be used as an expander if the ratio is low.

Definition at line 36 of file juce_NoiseGate.h.

## Constructor & Destructor Documentation

## ◆ NoiseGate()

template<typename SampleType >

juce::dsp::NoiseGate< SampleType >::NoiseGate | ( |  | ) |

Constructor.

Definition at line 31 of file juce_NoiseGate.cpp.

## Member Function Documentation

## ◆ prepare()

template<typename SampleType >

void juce::dsp::NoiseGate< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

Definition at line 72 of file juce_NoiseGate.cpp.

## ◆ process()

template<typename SampleType >
template<typename ProcessContext >

void juce::dsp::NoiseGate< SampleType >::process | ( | const ProcessContext & | context | ) |
| inlinenoexcept

Processes the input and output samples supplied in the processing context.

Definition at line 66 of file juce_NoiseGate.h.

## ◆ processSample()

template<typename SampleType >

SampleType juce::dsp::NoiseGate< SampleType >::processSample | ( | int | channel,
|  | SampleType | inputValue )

Performs the processing operation on a single sample at a time.

Definition at line 95 of file juce_NoiseGate.cpp.

Referenced by juce::dsp::NoiseGate< SampleType >::process().

## ◆ reset()

template<typename SampleType >

void juce::dsp::NoiseGate< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

Definition at line 87 of file juce_NoiseGate.cpp.

## ◆ setAttack()

template<typename SampleType >

void juce::dsp::NoiseGate< SampleType >::setAttack | ( | SampleType | newAttack | ) |

Sets the attack time in milliseconds of the noise-gate.

Definition at line 57 of file juce_NoiseGate.cpp.

## ◆ setRatio()

template<typename SampleType >

void juce::dsp::NoiseGate< SampleType >::setRatio | ( | SampleType | newRatio | ) |

Sets the ratio of the noise-gate (must be higher or equal to 1).

Definition at line 48 of file juce_NoiseGate.cpp.

## ◆ setRelease()

template<typename SampleType >

void juce::dsp::NoiseGate< SampleType >::setRelease | ( | SampleType | newRelease | ) |

Sets the release time in milliseconds of the noise-gate.

Definition at line 64 of file juce_NoiseGate.cpp.

## ◆ setThreshold()

template<typename SampleType >

void juce::dsp::NoiseGate< SampleType >::setThreshold | ( | SampleType | newThreshold | ) |

Sets the threshold in dB of the noise-gate.

Definition at line 41 of file juce_NoiseGate.cpp.

The documentation for this class was generated from the following files:

- juce_NoiseGate.h
- juce_NoiseGate.cpp